package amigosJ2EE.negocio;

import java.util.Date;
import amigosJ2EE.Constantes;

/**
 * Ejemplo de implementacion de un Data Transfer Object.
 */
public class UsuarioTO
{
  private String login;
  private String password;
  private String localidad;
  private Date fechaNac;
  private boolean varon;
  private String descripcion;
    
  public String getLogin() {
     return login;
  }

  public String getPassword() {
     return password;
  }

  public String getLocalidad() {
     return localidad;
  }

  public Date getFechaNac() {
     return fechaNac;
  }

  public boolean isVaron() {
    return varon;
  }

  public String getSexoCad() {
		if (isVaron())
		   return "Hombre";
		else
		   return "Mujer";
  }

  public String getDescripcion() {
     return descripcion;
  }

  public int getEdad() {
     long ms;

     ms = new Date().getTime() - fechaNac.getTime();
     return (int)(ms/Constantes.MS_ANYO);
  }


  public void setLogin(String log) {
     login = log;
  }

  public void setPassword(String pass) {
     password = pass;    
  }

  public void setLocalidad(String loc) {
     localidad = loc;    
  }

  public void setFechaNac(Date fecha) {
     fechaNac = fecha;    
  }

  public void setVaron(boolean b) {
		varon = b;
  }

  public void setDescripcion(String desc) {
     descripcion = desc;
  }

}